<template>
  <basic-container>
    <avue-crud
      :addBtn="false"
      :option="option"
      :table-loading="loading"
      :data="data"
      ref="crud"
      v-model:search="search"
      v-model:page="mypage"
      @search-change="searchChange"
      @search-reset="searchReset"
      @current-change="currentChange"
      @size-change="sizeChange"
      @refresh-change="refreshChange"
      @on-load="onLoad"
    >
      <template #menu-left>
        <el-button type="primary" size="default" icon="el-icon-circle-plus" plain @click="handleEdit">导入</el-button>
        <el-button type="primary" size="default" icon="el-icon-circle-plus" plain @click="handleEdit">入库</el-button>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>
export default {
  data() {
    return {
      search: {},
      loading: true,
      mypage: {
        size: 10,
        current: 1,
        total: 0,
      },
      option: {
        addBtn: false,
        editBtn: false,
        delBtn: false,
        labelWidth: 120,
        emptyBtn: false,
        searchSpan: 8,
        menu: false,
        column: [
          {
            label: '文件路径',
            type: 'input',
            prop: 'keyword',
            search: true,
            hide: true
          },
          {
            label: '任务编号',
            prop: ''
          },
          {
            label: '程序名称',
            prop: '',
          },
          {
            label: '文件到达时间',
            prop: '',
          },
          {
            label: '文件数据库编号',
            prop: '',
          },
          {
            label: '处理状态',
            prop: '',
          },
          {
            label: '处理方式',
            prop: ''
          },
          {
            label: '处理时间',
            prop: ''
          },
          {
            label: '处理人',
            prop: ''
          },
          {
            label: 'MD5值',
            prop: ''
          }
        ],
      },
      data: [],
    };
  },
  methods: {
    handleEdit(row,index) {
      
    },
    searchReset() {
      //this.onLoad(this.mypage);
    },
    searchChange(params, done) {
      this.mypage.current = 1;
      this.onLoad();
      done();
    },
    currentChange(current) {
      this.mypage.current = current;
    },
    sizeChange(size) {
      this.mypage.size = size;
    },
    refreshChange() {
      
    },
    onLoad() {
      this.loading = true;
      var obj = {
        keyword: this.search.keyword,
        machineSpec: "",
        current: this.mypage.current,
        size: this.mypage.size,
      }
      axios({
        url: '/program/dncsendback/page',
        method: 'get',
        params: obj,
      }).then(
        res => {
          const data = res.data.data;
          this.mypage.total = data.total;
          this.data = data.records;
          this.loading = false;
        },
        error => {
            
        }
      );

    }
  },
};
</script>

<style lang="scss">

</style>